{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block demosplanbundlecontent %}

    {% embed '@DemosPlanCore/DemosPlanCore/includes/participation_area_skeleton.html.twig' with {
        link: path(templateVars.backroute, {'procedure':procedure}),
        link_caption: 'back'|trans,
        content_heading: 'statement.send.email'|trans,
        hideMetaMenu: true
    }%}

        {% block aside %}{% endblock aside %}

        {% block content %}

            <form action="{{ path((templateVars.backroute),{'procedure':procedure}) }}" method="post" name="emailForm" data-dp-validate>
                <input type="hidden" name="statement_send" value="statement_send">
                <input type="hidden" name="statementID" value="{{ templateVars.statementID }}">

                {{ uiComponent('form.row', {
                    elements: [
                        {
                            label: { text: 'statement.send.email.label'|trans },
                            control: { name: 'sendasemail_recipient',  placeholder: 'email.address'|trans, value: '', attributes: ['data-dp-validate-error=error.mandatoryfields.send_email'] },
                            id: 'sendasemail_recipient',
                            type: 'email',
                            required: 'true'
                        }
                    ]
                }) }}

                <p>
                    {{ 'explanation.statement.send.email'|trans }}
                </p>

                {{ uiComponent('form.row', {
                    elements: [
                        {
                            label: { text: 'message'|trans },
                            control: { name: 'sendasemail_message', class: 'u-mb-0', value: templateVars.mailbody },
                            id: 'sendasemail_message',
                            type: 'textarea'
                        }
                    ]
                }) }}

                <div class="text-right u-mt-0_5 space-inline-s">
                    <button class="btn btn--primary" type="submit" name="submitButtonName">
                        {{ 'statement.send'|trans }}
                    </button>
                    <a class="btn btn--secondary" href="{{ path((templateVars.backroute),{'procedure':procedure}) }}">
                        {{ 'abort'|trans }}
                    </a>
                </div>

            </form>

        {% endblock content %}

    {% endembed %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('core-genericBundleValidate.js') }}
{% endblock %}
